using CaseAccountingDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CaseAccountingContracts.ViewModels
{
	public class CaseViewModel : ICaseModel
	{
		[DisplayName("Название")]
		public string Name { get; set; } = string.Empty;
		[DisplayName("Истец")]
		public string Applicant { get; set; } = string.Empty;
		[DisplayName("Ответчик")]
		public string Defendant { get; set; } = string.Empty;
		[DisplayName("Аннотация")]
		public string Annotation { get; set; } = string.Empty;
		[DisplayName("Дата составления")]
		public DateTime Date { get; set; }
		public int SpecializationId { get; set; }
		[DisplayName("Специализация")]
		public string Specialization { get; set; } = string.Empty;
		public int UserId { get; set; }
		[DisplayName("Номер")]
		public int Id { get; set; }
        public Dictionary<int, ILawyerModel> Lawyers { get; set; } = new();
    }
}
